(function() {
	/**************************************
	 * Keyboard
	 * キーイベント取得を行う(Androidのみ)
	 **************************************/

	/*
	 * キーイベント監視を開始
	 */
	watchKeyDown = function() {
		event.preventDefault();
		applican.keyboard.watchKeyDown(watchKeyDownSuccess);
		document.getElementById("dumpAreaKeyDown").value = "キー押下の監視を開始しました";
	};

	/*
	 * キーイベント監視に成功した時のコールバック
	 * res.keyCode  : Number     アプリが検出したキーコード
	 * res.shiftKey : true/false Shiftを押していたかどうか
	 * res.ctrlKey  : true/false Ctrlを押していたかどうか
	 * res.altKey   : true/false Altを押していたかどうか
	 */
	watchKeyDownSuccess = function(res) {
		var dump = "キー押下イベントを検出しました\n";
		dump    += "keyCode: "  + res.keyCode  + "\n";
		dump    += "shiftKey: " + res.shiftKey + "\n";
		dump    += "ctrlKey: "  + res.ctrlKey  + "\n";
		dump    += "altKey: "   + res.altKey   + "\n";
		document.getElementById("dumpAreaKeyDown").value = dump;
		document.getElementById("keyUpDown").src = "img/down.jpg";
		document.getElementById("keyUpDown").style.display = "block";
	};

	/*
	 * キーイベント監視を終了
	 */
	clearWatchKeyDown = function() {
		event.preventDefault();
		applican.keyboard.clearWatchKeyDown();
		document.getElementById("dumpAreaKeyDown").value = "キー押下の監視を終了しました";
	};

	/*
	 * キーアップイベント監視を開始
	 */
	watchKeyUp = function() {
		event.preventDefault();
		applican.keyboard.watchKeyUp(watchKeyUpSuccess);
		document.getElementById("dumpAreaKeyUp").value = "キー解放の監視を開始しました";
	};

	/*
	 * キーアップイベント監視に成功した時のコールバック
	 * res.keyCode  : Number     アプリが検出したキーコード
	 * res.shiftKey : true/false Shiftを押していたかどうか
	 * res.ctrlKey  : true/false Ctrlを押していたかどうか
	 * res.altKey   : true/false Altを押していたかどうか
	 */
	watchKeyUpSuccess = function(res) {
		var dump = "キー解放イベントを検出しました\n";
		dump    += "keyCode: "  + res.keyCode  + "\n";
		dump    += "shiftKey: " + res.shiftKey + "\n";
		dump    += "ctrlKey: "  + res.ctrlKey  + "\n";
		dump    += "altKey: "   + res.altKey   + "\n";
		document.getElementById("dumpAreaKeyUp").value = dump;
		document.getElementById("keyUpDown").src = "img/up.jpg";
		document.getElementById("keyUpDown").style.display = "block";
	};

	/*
	 * キーアップイベント監視を終了
	 */
	clearWatchKeyUp = function() {
		event.preventDefault();
		applican.keyboard.clearWatchKeyUp();
		document.getElementById("dumpAreaKeyUp").value = "キー解放の監視を終了しました";
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「キー押下監視開始」ボタン押下処理
		document.getElementById("watchKeyDownBtn").addEventListener("touchend", watchKeyDown, false);
		// 「キー押下監視終了」ボタン押下処理
		document.getElementById("clearWatchKeyDownBtn").addEventListener("touchend", clearWatchKeyDown, false);
		// 「キー解放監視開始」ボタン押下処理
		document.getElementById("watchKeyUpBtn").addEventListener("touchend", watchKeyUp, false);
		// 「キー解放監視終了」ボタン押下処理
		document.getElementById("clearWatchKeyUpBtn").addEventListener("touchend", clearWatchKeyUp, false);
	}, false);
})();
